import request from '@/utils/request'

// 查询区域月度检查列表
export function listInspection(query) {
  return request({
    url: '/production/inspection/list',
    method: 'get',
    params: query
  })
}

// 查询区域月度检查详细
export function getInspection(id) {
  return request({
    url: '/production/inspection/' + id,
    method: 'get'
  })
}

// 新增区域月度检查
export function addInspection(data) {
  return request({
    url: '/production/inspection',
    method: 'post',
    data: data
  })
}

// 修改区域月度检查
export function updateInspection(data) {
  return request({
    url: '/production/inspection',
    method: 'put',
    data: data
  })
}

// 删除区域月度检查
export function delInspection(id) {
  return request({
    url: '/production/inspection/' + id,
    method: 'delete'
  })
}

// 导出区域月度检查
export function exportInspection(query) {
  return request({
    url: '/production/inspection/export',
    method: 'get',
    params: query
  })
}